Menu

#19 Make Problem

v1.0 (example)
closed
nobody
None
5
2018-12-19
2018-09-17
No

Hi,

I am having troubles making the GPIB driver. I get a number of implicit-function-declaration errors during the make processes. I am at a loss as to the direction(s) I should take.

System: AMD FX-8350 64-bit 8-core processor -- 16GB RAM
OS: Kubuntu 18.04 LTS
Linux version 4.15.0-34-generic (buildd@lgw01-amd64-047) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #37-Ubuntu SMP Mon Aug 27, 2018
Driver to be installed: linux-gpib-4.1.0

Below is the complete listing of the make:

trthornton@ASUS2-KUbuntu:~/Downloads/GPIB_Support/linux-gpib-4.1.0$ make -j8
make all-recursive
make[1]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0'
Making all in include
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include'
ln -sf . gpib
ln -sf ../drivers/gpib/include/gpib_ioctl.h
ln -sf ../drivers/gpib/include/gpib_types.h
ln -sf ../drivers/gpib/include/gpib_user.h
ln -sf ../lib/ib.h
ln -sf ../lib/ibConf.h
ln -sf ../lib/ibP.h
make all-am
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include'
Making all in lib
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
make all-recursive
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
Making all in .
make[4]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibCac.lo -MD -MP -MF .deps/libgpib_la-ibCac.Tpo -c -o libgpib_la-ibCac.lo test -f 'ibCac.c' || echo './'ibCac.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibClr.lo -MD -MP -MF .deps/libgpib_la-ibClr.Tpo -c -o libgpib_la-ibClr.lo test -f 'ibClr.c' || echo './'ibClr.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibCmd.lo -MD -MP -MF .deps/libgpib_la-ibCmd.Tpo -c -o libgpib_la-ibCmd.lo test -f 'ibCmd.c' || echo './'ibCmd.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEos.lo -MD -MP -MF .deps/libgpib_la-ibEos.Tpo -c -o libgpib_la-ibEos.lo test -f 'ibEos.c' || echo './'ibEos.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEot.lo -MD -MP -MF .deps/libgpib_la-ibEot.Tpo -c -o libgpib_la-ibEot.lo test -f 'ibEot.c' || echo './'ibEot.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibFind.lo -MD -MP -MF .deps/libgpib_la-ibFind.Tpo -c -o libgpib_la-ibFind.lo test -f 'ibFind.c' || echo './'ibFind.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibLines.lo -MD -MP -MF .deps/libgpib_la-ibLines.Tpo -c -o libgpib_la-ibLines.lo test -f 'ibLines.c' || echo './'ibLines.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibOnl.lo -MD -MP -MF .deps/libgpib_la-ibOnl.Tpo -c -o libgpib_la-ibOnl.lo test -f 'ibOnl.c' || echo './'ibOnl.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibCac.lo -MD -MP -MF .deps/libgpib_la-ibCac.Tpo -c ibCac.c -fPIC -DPIC -o .libs/libgpib_la-ibCac.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibClr.lo -MD -MP -MF .deps/libgpib_la-ibClr.Tpo -c ibClr.c -fPIC -DPIC -o .libs/libgpib_la-ibClr.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibCmd.lo -MD -MP -MF .deps/libgpib_la-ibCmd.Tpo -c ibCmd.c -fPIC -DPIC -o .libs/libgpib_la-ibCmd.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibLines.lo -MD -MP -MF .deps/libgpib_la-ibLines.Tpo -c ibLines.c -fPIC -DPIC -o .libs/libgpib_la-ibLines.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEos.lo -MD -MP -MF .deps/libgpib_la-ibEos.Tpo -c ibEos.c -fPIC -DPIC -o .libs/libgpib_la-ibEos.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibFind.lo -MD -MP -MF .deps/libgpib_la-ibFind.Tpo -c ibFind.c -fPIC -DPIC -o .libs/libgpib_la-ibFind.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibOnl.lo -MD -MP -MF .deps/libgpib_la-ibOnl.Tpo -c ibOnl.c -fPIC -DPIC -o .libs/libgpib_la-ibOnl.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEot.lo -MD -MP -MF .deps/libgpib_la-ibEot.Tpo -c ibEot.c -fPIC -DPIC -o .libs/libgpib_la-ibEot.o
mv -f .deps/libgpib_la-ibCac.Tpo .deps/libgpib_la-ibCac.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibPad.lo -MD -MP -MF .deps/libgpib_la-ibPad.Tpo -c -o libgpib_la-ibPad.lo test -f 'ibPad.c' || echo './'ibPad.c
mv -f .deps/libgpib_la-ibFind.Tpo .deps/libgpib_la-ibFind.Plo
mv -f .deps/libgpib_la-ibClr.Tpo .deps/libgpib_la-ibClr.Plo
mv -f .deps/libgpib_la-ibLines.Tpo .deps/libgpib_la-ibLines.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRd.lo -MD -MP -MF .deps/libgpib_la-ibRd.Tpo -c -o libgpib_la-ibRd.lo test -f 'ibRd.c' || echo './'ibRd.c
mv -f .deps/libgpib_la-ibEos.Tpo .deps/libgpib_la-ibEos.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRpp.lo -MD -MP -MF .deps/libgpib_la-ibRpp.Tpo -c -o libgpib_la-ibRpp.lo test -f 'ibRpp.c' || echo './'ibRpp.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRsp.lo -MD -MP -MF .deps/libgpib_la-ibRsp.Tpo -c -o libgpib_la-ibRsp.lo test -f 'ibRsp.c' || echo './'ibRsp.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRsv.lo -MD -MP -MF .deps/libgpib_la-ibRsv.Tpo -c -o libgpib_la-ibRsv.lo test -f 'ibRsv.c' || echo './'ibRsv.c
mv -f .deps/libgpib_la-ibEot.Tpo .deps/libgpib_la-ibEot.Plo
mv -f .deps/libgpib_la-ibOnl.Tpo .deps/libgpib_la-ibOnl.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSad.lo -MD -MP -MF .deps/libgpib_la-ibSad.Tpo -c -o libgpib_la-ibSad.lo test -f 'ibSad.c' || echo './'ibSad.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSic.lo -MD -MP -MF .deps/libgpib_la-ibSic.Tpo -c -o libgpib_la-ibSic.lo test -f 'ibSic.c' || echo './'ibSic.c
mv -f .deps/libgpib_la-ibCmd.Tpo .deps/libgpib_la-ibCmd.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSpb.lo -MD -MP -MF .deps/libgpib_la-ibSpb.Tpo -c -o libgpib_la-ibSpb.lo test -f 'ibSpb.c' || echo './'ibSpb.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRpp.lo -MD -MP -MF .deps/libgpib_la-ibRpp.Tpo -c ibRpp.c -fPIC -DPIC -o .libs/libgpib_la-ibRpp.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRd.lo -MD -MP -MF .deps/libgpib_la-ibRd.Tpo -c ibRd.c -fPIC -DPIC -o .libs/libgpib_la-ibRd.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRsp.lo -MD -MP -MF .deps/libgpib_la-ibRsp.Tpo -c ibRsp.c -fPIC -DPIC -o .libs/libgpib_la-ibRsp.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibPad.lo -MD -MP -MF .deps/libgpib_la-ibPad.Tpo -c ibPad.c -fPIC -DPIC -o .libs/libgpib_la-ibPad.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibRsv.lo -MD -MP -MF .deps/libgpib_la-ibRsv.Tpo -c ibRsv.c -fPIC -DPIC -o .libs/libgpib_la-ibRsv.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSic.lo -MD -MP -MF .deps/libgpib_la-ibSic.Tpo -c ibSic.c -fPIC -DPIC -o .libs/libgpib_la-ibSic.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSad.lo -MD -MP -MF .deps/libgpib_la-ibSad.Tpo -c ibSad.c -fPIC -DPIC -o .libs/libgpib_la-ibSad.o
mv -f .deps/libgpib_la-ibRpp.Tpo .deps/libgpib_la-ibRpp.Plo
mv -f .deps/libgpib_la-ibPad.Tpo .deps/libgpib_la-ibPad.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSre.lo -MD -MP -MF .deps/libgpib_la-ibSre.Tpo -c -o libgpib_la-ibSre.lo test -f 'ibSre.c' || echo './'ibSre.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibTmo.lo -MD -MP -MF .deps/libgpib_la-ibTmo.Tpo -c -o libgpib_la-ibTmo.lo test -f 'ibTmo.c' || echo './'ibTmo.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSpb.lo -MD -MP -MF .deps/libgpib_la-ibSpb.Tpo -c ibSpb.c -fPIC -DPIC -o .libs/libgpib_la-ibSpb.o
mv -f .deps/libgpib_la-ibRsv.Tpo .deps/libgpib_la-ibRsv.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibTrg.lo -MD -MP -MF .deps/libgpib_la-ibTrg.Tpo -c -o libgpib_la-ibTrg.lo test -f 'ibTrg.c' || echo './'ibTrg.c
mv -f .deps/libgpib_la-ibSic.Tpo .deps/libgpib_la-ibSic.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibWait.lo -MD -MP -MF .deps/libgpib_la-ibWait.Tpo -c -o libgpib_la-ibWait.lo test -f 'ibWait.c' || echo './'ibWait.c
mv -f .deps/libgpib_la-ibRsp.Tpo .deps/libgpib_la-ibRsp.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibWrt.lo -MD -MP -MF .deps/libgpib_la-ibWrt.Tpo -c -o libgpib_la-ibWrt.lo test -f 'ibWrt.c' || echo './'ibWrt.c
mv -f .deps/libgpib_la-ibSad.Tpo .deps/libgpib_la-ibSad.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibGts.lo -MD -MP -MF .deps/libgpib_la-ibGts.Tpo -c -o libgpib_la-ibGts.lo test -f 'ibGts.c' || echo './'ibGts.c
mv -f .deps/libgpib_la-ibRd.Tpo .deps/libgpib_la-ibRd.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibBoard.lo -MD -MP -MF .deps/libgpib_la-ibBoard.Tpo -c -o libgpib_la-ibBoard.lo test -f 'ibBoard.c' || echo './'ibBoard.c
mv -f .deps/libgpib_la-ibSpb.Tpo .deps/libgpib_la-ibSpb.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibutil.lo -MD -MP -MF .deps/libgpib_la-ibutil.Tpo -c -o libgpib_la-ibutil.lo test -f 'ibutil.c' || echo './'ibutil.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibSre.lo -MD -MP -MF .deps/libgpib_la-ibSre.Tpo -c ibSre.c -fPIC -DPIC -o .libs/libgpib_la-ibSre.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibTmo.lo -MD -MP -MF .deps/libgpib_la-ibTmo.Tpo -c ibTmo.c -fPIC -DPIC -o .libs/libgpib_la-ibTmo.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibTrg.lo -MD -MP -MF .deps/libgpib_la-ibTrg.Tpo -c ibTrg.c -fPIC -DPIC -o .libs/libgpib_la-ibTrg.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibWait.lo -MD -MP -MF .deps/libgpib_la-ibWait.Tpo -c ibWait.c -fPIC -DPIC -o .libs/libgpib_la-ibWait.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibWrt.lo -MD -MP -MF .deps/libgpib_la-ibWrt.Tpo -c ibWrt.c -fPIC -DPIC -o .libs/libgpib_la-ibWrt.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibGts.lo -MD -MP -MF .deps/libgpib_la-ibGts.Tpo -c ibGts.c -fPIC -DPIC -o .libs/libgpib_la-ibGts.o
mv -f .deps/libgpib_la-ibTmo.Tpo .deps/libgpib_la-ibTmo.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-globals.lo -MD -MP -MF .deps/libgpib_la-globals.Tpo -c -o libgpib_la-globals.lo test -f 'globals.c' || echo './'globals.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibutil.lo -MD -MP -MF .deps/libgpib_la-ibutil.Tpo -c ibutil.c -fPIC -DPIC -o .libs/libgpib_la-ibutil.o
mv -f .deps/libgpib_la-ibTrg.Tpo .deps/libgpib_la-ibTrg.Plo
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibBoard.lo -MD -MP -MF .deps/libgpib_la-ibBoard.Tpo -c ibBoard.c -fPIC -DPIC -o .libs/libgpib_la-ibBoard.o
mv -f .deps/libgpib_la-ibSre.Tpo .deps/libgpib_la-ibSre.Plo
mv -f .deps/libgpib_la-ibWait.Tpo .deps/libgpib_la-ibWait.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibask.lo -MD -MP -MF .deps/libgpib_la-ibask.Tpo -c -o libgpib_la-ibask.lo test -f 'ibask.c' || echo './'ibask.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibppc.lo -MD -MP -MF .deps/libgpib_la-ibppc.Tpo -c -o libgpib_la-ibppc.lo test -f 'ibppc.c' || echo './'ibppc.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibLoc.lo -MD -MP -MF .deps/libgpib_la-ibLoc.Tpo -c -o libgpib_la-ibLoc.lo test -f 'ibLoc.c' || echo './'ibLoc.c
mv -f .deps/libgpib_la-ibGts.Tpo .deps/libgpib_la-ibGts.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibDma.lo -MD -MP -MF .deps/libgpib_la-ibDma.Tpo -c -o libgpib_la-ibDma.lo test -f 'ibDma.c' || echo './'ibDma.c
mv -f .deps/libgpib_la-ibWrt.Tpo .deps/libgpib_la-ibWrt.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibdev.lo -MD -MP -MF .deps/libgpib_la-ibdev.Tpo -c -o libgpib_la-ibdev.lo test -f 'ibdev.c' || echo './'ibdev.c
mv -f .deps/libgpib_la-ibBoard.Tpo .deps/libgpib_la-ibBoard.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibbna.lo -MD -MP -MF .deps/libgpib_la-ibbna.Tpo -c -o libgpib_la-ibbna.lo test -f 'ibbna.c' || echo './'ibbna.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-globals.lo -MD -MP -MF .deps/libgpib_la-globals.Tpo -c globals.c -fPIC -DPIC -o .libs/libgpib_la-globals.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibLoc.lo -MD -MP -MF .deps/libgpib_la-ibLoc.Tpo -c ibLoc.c -fPIC -DPIC -o .libs/libgpib_la-ibLoc.o
mv -f .deps/libgpib_la-ibutil.Tpo .deps/libgpib_la-ibutil.Plo
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibask.lo -MD -MP -MF .deps/libgpib_la-ibask.Tpo -c ibask.c -fPIC -DPIC -o .libs/libgpib_la-ibask.o
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-async.lo -MD -MP -MF .deps/libgpib_la-async.Tpo -c -o libgpib_la-async.lo test -f 'async.c' || echo './'async.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibDma.lo -MD -MP -MF .deps/libgpib_la-ibDma.Tpo -c ibDma.c -fPIC -DPIC -o .libs/libgpib_la-ibDma.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibppc.lo -MD -MP -MF .deps/libgpib_la-ibppc.Tpo -c ibppc.c -fPIC -DPIC -o .libs/libgpib_la-ibppc.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibdev.lo -MD -MP -MF .deps/libgpib_la-ibdev.Tpo -c ibdev.c -fPIC -DPIC -o .libs/libgpib_la-ibdev.o
mv -f .deps/libgpib_la-globals.Tpo .deps/libgpib_la-globals.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibconfig.lo -MD -MP -MF .deps/libgpib_la-ibconfig.Tpo -c -o libgpib_la-ibconfig.lo test -f 'ibconfig.c' || echo './'ibconfig.c
mv -f .deps/libgpib_la-ibLoc.Tpo .deps/libgpib_la-ibLoc.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibFindLstn.lo -MD -MP -MF .deps/libgpib_la-ibFindLstn.Tpo -c -o libgpib_la-ibFindLstn.lo test -f 'ibFindLstn.c' || echo './'ibFindLstn.c
mv -f .deps/libgpib_la-ibDma.Tpo .deps/libgpib_la-ibDma.Plo
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibbna.lo -MD -MP -MF .deps/libgpib_la-ibbna.Tpo -c ibbna.c -fPIC -DPIC -o .libs/libgpib_la-ibbna.o
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEvent.lo -MD -MP -MF .deps/libgpib_la-ibEvent.Tpo -c -o libgpib_la-ibEvent.lo test -f 'ibEvent.c' || echo './'ibEvent.c
mv -f .deps/libgpib_la-ibask.Tpo .deps/libgpib_la-ibask.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-local_lockout.lo -MD -MP -MF .deps/libgpib_la-local_lockout.Tpo -c -o libgpib_la-local_lockout.lo test -f 'local_lockout.c' || echo './'local_lockout.c
mv -f .deps/libgpib_la-ibbna.Tpo .deps/libgpib_la-ibbna.Plo
mv -f .deps/libgpib_la-ibdev.Tpo .deps/libgpib_la-ibdev.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-self_test.lo -MD -MP -MF .deps/libgpib_la-self_test.Tpo -c -o libgpib_la-self_test.lo test -f 'self_test.c' || echo './'self_test.c
mv -f .deps/libgpib_la-ibppc.Tpo .deps/libgpib_la-ibppc.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-pass_control.lo -MD -MP -MF .deps/libgpib_la-pass_control.Tpo -c -o libgpib_la-pass_control.lo test -f 'pass_control.c' || echo './'pass_control.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibstop.lo -MD -MP -MF .deps/libgpib_la-ibstop.Tpo -c -o libgpib_la-ibstop.lo test -f 'ibstop.c' || echo './'ibstop.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-async.lo -MD -MP -MF .deps/libgpib_la-async.Tpo -c async.c -fPIC -DPIC -o .libs/libgpib_la-async.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibFindLstn.lo -MD -MP -MF .deps/libgpib_la-ibFindLstn.Tpo -c ibFindLstn.c -fPIC -DPIC -o .libs/libgpib_la-ibFindLstn.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibconfig.lo -MD -MP -MF .deps/libgpib_la-ibconfig.Tpo -c ibconfig.c -fPIC -DPIC -o .libs/libgpib_la-ibconfig.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-local_lockout.lo -MD -MP -MF .deps/libgpib_la-local_lockout.Tpo -c local_lockout.c -fPIC -DPIC -o .libs/libgpib_la-local_lockout.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibEvent.lo -MD -MP -MF .deps/libgpib_la-ibEvent.Tpo -c ibEvent.c -fPIC -DPIC -o .libs/libgpib_la-ibEvent.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-pass_control.lo -MD -MP -MF .deps/libgpib_la-pass_control.Tpo -c pass_control.c -fPIC -DPIC -o .libs/libgpib_la-pass_control.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-self_test.lo -MD -MP -MF .deps/libgpib_la-self_test.Tpo -c self_test.c -fPIC -DPIC -o .libs/libgpib_la-self_test.o
mv -f .deps/libgpib_la-local_lockout.Tpo .deps/libgpib_la-local_lockout.Plo
mv -f .deps/libgpib_la-async.Tpo .deps/libgpib_la-async.Plo
mv -f .deps/libgpib_la-ibEvent.Tpo .deps/libgpib_la-ibEvent.Plo
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibConfLex.lo -MD -MP -MF .deps/libgpib_la-ibConfLex.Tpo -c -o libgpib_la-ibConfLex.lo test -f 'ibConfLex.c' || echo './'ibConfLex.c
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibstop.lo -MD -MP -MF .deps/libgpib_la-ibstop.Tpo -c ibstop.c -fPIC -DPIC -o .libs/libgpib_la-ibstop.o
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibConfYacc.lo -MD -MP -MF .deps/libgpib_la-ibConfYacc.Tpo -c -o libgpib_la-ibConfYacc.lo test -f 'ibConfYacc.c' || echo './'ibConfYacc.c
/bin/bash ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibVers.lo -MD -MP -MF .deps/libgpib_la-ibVers.Tpo -c -o libgpib_la-ibVers.lo test -f 'ibVers.c' || echo './'ibVers.c
mv -f .deps/libgpib_la-ibconfig.Tpo .deps/libgpib_la-ibconfig.Plo
mv -f .deps/libgpib_la-ibFindLstn.Tpo .deps/libgpib_la-ibFindLstn.Plo
mv -f .deps/libgpib_la-self_test.Tpo .deps/libgpib_la-self_test.Plo
mv -f .deps/libgpib_la-pass_control.Tpo .deps/libgpib_la-pass_control.Plo
mv -f .deps/libgpib_la-ibstop.Tpo .deps/libgpib_la-ibstop.Plo
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibConfLex.lo -MD -MP -MF .deps/libgpib_la-ibConfLex.Tpo -c ibConfLex.c -fPIC -DPIC -o .libs/libgpib_la-ibConfLex.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibConfYacc.lo -MD -MP -MF .deps/libgpib_la-ibConfYacc.Tpo -c ibConfYacc.c -fPIC -DPIC -o .libs/libgpib_la-ibConfYacc.o
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -MT libgpib_la-ibVers.lo -MD -MP -MF .deps/libgpib_la-ibVers.Tpo -c ibVers.c -fPIC -DPIC -o .libs/libgpib_la-ibVers.o
mv -f .deps/libgpib_la-ibVers.Tpo .deps/libgpib_la-ibVers.Plo
mv -f .deps/libgpib_la-ibConfYacc.Tpo .deps/libgpib_la-ibConfYacc.Plo
mv -f .deps/libgpib_la-ibConfLex.Tpo .deps/libgpib_la-ibConfLex.Plo
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -DGPIB_SCM_VERSION=4.1.0 -g -O2 -version-info 2:0:2 -Wl,--version-script=./gpib_version_script -lpthread -o libgpib.la -rpath /usr/local/lib libgpib_la-ibCac.lo libgpib_la-ibClr.lo libgpib_la-ibCmd.lo libgpib_la-ibEos.lo libgpib_la-ibEot.lo libgpib_la-ibFind.lo libgpib_la-ibLines.lo libgpib_la-ibOnl.lo libgpib_la-ibPad.lo libgpib_la-ibRd.lo libgpib_la-ibRpp.lo libgpib_la-ibRsp.lo libgpib_la-ibRsv.lo libgpib_la-ibSad.lo libgpib_la-ibSic.lo libgpib_la-ibSpb.lo libgpib_la-ibSre.lo libgpib_la-ibTmo.lo libgpib_la-ibTrg.lo libgpib_la-ibWait.lo libgpib_la-ibWrt.lo libgpib_la-ibGts.lo libgpib_la-ibBoard.lo libgpib_la-ibutil.lo libgpib_la-globals.lo libgpib_la-ibask.lo libgpib_la-ibppc.lo libgpib_la-ibLoc.lo libgpib_la-ibDma.lo libgpib_la-ibdev.lo libgpib_la-ibbna.lo libgpib_la-async.lo libgpib_la-ibconfig.lo libgpib_la-ibFindLstn.lo libgpib_la-ibEvent.lo libgpib_la-local_lockout.lo libgpib_la-self_test.lo libgpib_la-pass_control.lo libgpib_la-ibstop.lo libgpib_la-ibConfLex.lo libgpib_la-ibConfYacc.lo libgpib_la-ibVers.lo
libtool: link: gcc -shared -fPIC -DPIC .libs/libgpib_la-ibCac.o .libs/libgpib_la-ibClr.o .libs/libgpib_la-ibCmd.o .libs/libgpib_la-ibEos.o .libs/libgpib_la-ibEot.o .libs/libgpib_la-ibFind.o .libs/libgpib_la-ibLines.o .libs/libgpib_la-ibOnl.o .libs/libgpib_la-ibPad.o .libs/libgpib_la-ibRd.o .libs/libgpib_la-ibRpp.o .libs/libgpib_la-ibRsp.o .libs/libgpib_la-ibRsv.o .libs/libgpib_la-ibSad.o .libs/libgpib_la-ibSic.o .libs/libgpib_la-ibSpb.o .libs/libgpib_la-ibSre.o .libs/libgpib_la-ibTmo.o .libs/libgpib_la-ibTrg.o .libs/libgpib_la-ibWait.o .libs/libgpib_la-ibWrt.o .libs/libgpib_la-ibGts.o .libs/libgpib_la-ibBoard.o .libs/libgpib_la-ibutil.o .libs/libgpib_la-globals.o .libs/libgpib_la-ibask.o .libs/libgpib_la-ibppc.o .libs/libgpib_la-ibLoc.o .libs/libgpib_la-ibDma.o .libs/libgpib_la-ibdev.o .libs/libgpib_la-ibbna.o .libs/libgpib_la-async.o .libs/libgpib_la-ibconfig.o .libs/libgpib_la-ibFindLstn.o .libs/libgpib_la-ibEvent.o .libs/libgpib_la-local_lockout.o .libs/libgpib_la-self_test.o .libs/libgpib_la-pass_control.o .libs/libgpib_la-ibstop.o .libs/libgpib_la-ibConfLex.o .libs/libgpib_la-ibConfYacc.o .libs/libgpib_la-ibVers.o -lpthread -g -O2 -Wl,--version-script=./gpib_version_script -Wl,-soname -Wl,libgpib.so.0 -o .libs/libgpib.so.0.2.0
libtool: link: (cd ".libs" && rm -f "libgpib.so.0" && ln -s "libgpib.so.0.2.0" "libgpib.so.0")
libtool: link: (cd ".libs" && rm -f "libgpib.so" && ln -s "libgpib.so.0.2.0" "libgpib.so")
libtool: link: ( cd ".libs" && rm -f "libgpib.la" && ln -s "../libgpib.la" "libgpib.la" )
make[4]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
Making all in gpib_config
make[4]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib/gpib_config'
gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -D_REENTRANT -I../../lib -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -g -O2 -MT gpib_config-gpib_config.o -MD -MP -MF .deps/gpib_config-gpib_config.Tpo -c -o gpib_config-gpib_config.o test -f 'gpib_config.c' || echo './'gpib_config.c
mv -f .deps/gpib_config-gpib_config.Tpo .deps/gpib_config-gpib_config.Po
/bin/bash ../../libtool --tag=CC --mode=link gcc -I../../include -D_REENTRANT -I../../lib -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -g -O2 -o gpib_config gpib_config-gpib_config.o ../../lib/libgpib.la -lpthread -lpthread
libtool: link: gcc -I../../include -D_REENTRANT -I../../lib -DDEFAULT_CONFIG_FILE=\"/etc/gpib.conf\" -g -O2 -o .libs/gpib_config gpib_config-gpib_config.o ../../lib/.libs/libgpib.so -lpthread
make[4]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib/gpib_config'
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/lib'
Making all in examples
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/examples'
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT ibtest-ibtest.o -MD -MP -MF .deps/ibtest-ibtest.Tpo -c -o ibtest-ibtest.o test -f 'ibtest.c' || echo './'ibtest.c
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT ibterm-ibterm.o -MD -MP -MF .deps/ibterm-ibterm.Tpo -c -o ibterm-ibterm.o test -f 'ibterm.c' || echo './'ibterm.c
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT master_read_to_file-master_read_to_file.o -MD -MP -MF .deps/master_read_to_file-master_read_to_file.Tpo -c -o master_read_to_file-master_read_to_file.o test -f 'master_read_to_file.c' || echo './'master_read_to_file.c
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT master_write_from_file-master_write_from_file.o -MD -MP -MF .deps/master_write_from_file-master_write_from_file.Tpo -c -o master_write_from_file-master_write_from_file.o test -f 'master_write_from_file.c' || echo './'master_write_from_file.c
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT slave_read_to_file-slave_read_to_file.o -MD -MP -MF .deps/slave_read_to_file-slave_read_to_file.Tpo -c -o slave_read_to_file-slave_read_to_file.o test -f 'slave_read_to_file.c' || echo './'slave_read_to_file.c
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT slave_write_from_file-slave_write_from_file.o -MD -MP -MF .deps/slave_write_from_file-slave_write_from_file.Tpo -c -o slave_write_from_file-slave_write_from_file.o test -f 'slave_write_from_file.c' || echo './'slave_write_from_file.c
ibtest.c: In function \u2018prompt_for_device\u2019:
ibtest.c:140:3: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets(input, sizeof(input), stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_board\u2019:
ibtest.c:168:3: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets( board_name, sizeof( board_name ), stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_descriptor\u2019:
ibtest.c:191:3: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets( input, sizeof( input ), stdin );
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_action\u2019:
ibtest.c:234:6: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
do fgets( input, sizeof( input ), stdin );
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_commands\u2019:
ibtest.c:364:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets( buffer, sizeof(buffer), stdin );
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_read\u2019:
ibtest.c:391:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets(buffer, buffer_size, stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_write\u2019:
ibtest.c:404:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets( buffer, sizeof(buffer), stdin );
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018request_service\u2019:
ibtest.c:449:2: warning: ignoring return value of \u2018scanf\u2019, declared with attribute warn_unused_result [-Wunused-result]
scanf( "%i", &status_byte );
^~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_timeout\u2019:
ibtest.c:485:2: warning: ignoring return value of \u2018scanf\u2019, declared with attribute warn_unused_result [-Wunused-result]
scanf( "%i", &timeout );
^~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_wait\u2019:
ibtest.c:506:2: warning: ignoring return value of \u2018scanf\u2019, declared with attribute warn_unused_result [-Wunused-result]
scanf( "%i", &wait_mask );
^~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_remote_enable\u2019:
ibtest.c:593:2: warning: ignoring return value of \u2018scanf\u2019, declared with attribute warn_unused_result [-Wunused-result]
scanf( "%i", &assert );
^~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_take_control\u2019:
ibtest.c:614:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets(buffer, buffer_size, stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ibtest.c: In function \u2018prompt_for_eot\u2019:
ibtest.c:643:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets(buffer, buffer_size, stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
mv -f .deps/master_write_from_file-master_write_from_file.Tpo .deps/master_write_from_file-master_write_from_file.Po
mv -f .deps/slave_read_to_file-slave_read_to_file.Tpo .deps/slave_read_to_file-slave_read_to_file.Po
mv -f .deps/master_read_to_file-master_read_to_file.Tpo .deps/master_read_to_file-master_read_to_file.Po
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o master_write_from_file master_write_from_file-master_write_from_file.o ../lib/libgpib.la -lpthread
mv -f .deps/slave_write_from_file-slave_write_from_file.Tpo .deps/slave_write_from_file-slave_write_from_file.Po
ibterm.c: In function \u2018main\u2019:
ibterm.c:299:7: warning: implicit declaration of function \u2018isprint\u2019 [-Wimplicit-function-declaration]
if (!isprint(devbuf[i]) && !isspace(devbuf[i])){
^~~~~~~
ibterm.c:299:30: warning: implicit declaration of function \u2018isspace\u2019 [-Wimplicit-function-declaration]
if (!isprint(devbuf[i]) && !isspace(devbuf[i])){
^~~~~~~
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o slave_read_to_file slave_read_to_file-slave_read_to_file.o ../lib/libgpib.la -lpthread
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o slave_write_from_file slave_write_from_file-slave_write_from_file.o ../lib/libgpib.la -lpthread
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o master_read_to_file master_read_to_file-master_read_to_file.o ../lib/libgpib.la -lpthread
mv -f .deps/ibterm-ibterm.Tpo .deps/ibterm-ibterm.Po
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o ibterm ibterm-ibterm.o ../lib/libgpib.la -lpthread
mv -f .deps/ibtest-ibtest.Tpo .deps/ibtest-ibtest.Po
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o ibtest ibtest-ibtest.o ../lib/libgpib.la -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/slave_write_from_file slave_write_from_file-slave_write_from_file.o ../lib/.libs/libgpib.so -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/master_write_from_file master_write_from_file-master_write_from_file.o ../lib/.libs/libgpib.so -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/slave_read_to_file slave_read_to_file-slave_read_to_file.o ../lib/.libs/libgpib.so -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/master_read_to_file master_read_to_file-master_read_to_file.o ../lib/.libs/libgpib.so -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/ibterm ibterm-ibterm.o ../lib/.libs/libgpib.so -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/ibtest ibtest-ibtest.o ../lib/.libs/libgpib.so -lpthread
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/examples'
Making all in test
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/test'
gcc -DHAVE_CONFIG_H -I. -I.. -I../include -D_REENTRANT -g -O2 -MT libgpib_test-libgpib_test.o -MD -MP -MF .deps/libgpib_test-libgpib_test.Tpo -c -o libgpib_test-libgpib_test.o test -f 'libgpib_test.c' || echo './'libgpib_test.c
libgpib_test.c: In function \u2018sync_message\u2019:
libgpib_test.c:61:2: warning: ignoring return value of \u2018fgets\u2019, declared with attribute warn_unused_result [-Wunused-result]
fgets(buffer, sizeof(buffer), stdin);
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
mv -f .deps/libgpib_test-libgpib_test.Tpo .deps/libgpib_test-libgpib_test.Po
/bin/bash ../libtool --tag=CC --mode=link gcc -I../include -D_REENTRANT -g -O2 -o libgpib_test libgpib_test-libgpib_test.o ../lib/libgpib.la -lpthread
libtool: link: gcc -I../include -D_REENTRANT -g -O2 -o .libs/libgpib_test libgpib_test-libgpib_test.o ../lib/.libs/libgpib.so -lpthread
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/test'
Making all in drivers
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers'
Making all in gpib/include
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include'
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers'
make -C /lib/modules/4.15.0-34-generic/build/ V=1 modules\
CC="gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include" \
CONFIG_GPIB_ISA="no" \
SUBDIRS="/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib"
make[4]: Entering directory '/usr/src/linux-headers-4.15.0-34-generic'
Makefile:976: "Cannot use CONFIG_STACK_VALIDATION=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"
test -e include/generated/autoconf.h -a -e include/config/auto.conf || ( \
echo >&2; \
echo >&2 " ERROR: Kernel configuration is invalid."; \
echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo >&2 ; \
/bin/false)
mkdir -p /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/.tmp_versions ; rm -f /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/.tmp_versions/*
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210 need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335 need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341 need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines need-builtin=1
make -f ./scripts/Makefile.build obj=/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib need-builtin=1
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/.init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"init"' -DKBUILD_MODNAME='"cec_gpib"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/init.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/.agilent_82357a.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"agilent_82357a"' -DKBUILD_MODNAME='"agilent_82357a"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/.ines_init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"ines_init"' -DKBUILD_MODNAME='"ines_gpib"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines_init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines_init.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/.cb7210_init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"cb7210_init"' -DKBUILD_MODNAME='"cb7210"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210_init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210_init.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/.agilent_82350b_init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"agilent_82350b_init"' -DKBUILD_MODNAME='"agilent_82350b"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_init.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/.lpvo_usb_gpib.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"lpvo_usb_gpib"' -DKBUILD_MODNAME='"lpvo_usb_gpib"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/.hp82335_init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"hp82335_init"' -DKBUILD_MODNAME='"hp82335"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335_init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335_init.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/.hp_82341_init.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"hp_82341_init"' -DKBUILD_MODNAME='"hp_82341"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_init.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_init.c
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/nec7210.h:27:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210.h:22,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210_init.c:21:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/nec7210.h:27:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/cec.h:22,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/init.c:19:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/nec7210.h:27:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines.h:22,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines_init.c:20:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/tms9914.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_init.c:19:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_init.c:18:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/tms9914.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335_init.c:21:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.h:26,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c:25:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c: In function \u2018agilent_82357a_send_bulk_msg\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c:97:19: error: assignment from incompatible pointer type [-Werror=incompatible-pointer-types]
timer->function = agilent_82357a_timeout_handler;
^
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c:98:8: error: \u2018struct timer_list\u2019 has no member named \u2018data\u2019
timer->data = (unsigned long) &context;
^~
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c: In function \u2018agilent_82357a_receive_bulk_msg\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c:187:19: error: assignment from incompatible pointer type [-Werror=incompatible-pointer-types]
timer->function = agilent_82357a_timeout_handler;
^
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.c:188:8: error: \u2018struct timer_list\u2019 has no member named \u2018data\u2019
timer->data = (unsigned long) &context;
^~
cc1: some warnings being treated as errors
scripts/Makefile.build:339: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a/agilent_82357a.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82357a] Error 2
make[5]: *** Waiting for unfinished jobs....
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec/init.o] Error 1
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/.hp_82341_read.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"hp_82341_read"' -DKBUILD_MODNAME='"hp_82341"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_read.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_read.c
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cec] Error 2
(cat /dev/null; echo kernel//home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335.ko;) > /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/modules.order
cc1: some warnings being treated as errors
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines_init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines/ines_init.o] Error 1
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210_init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210/cb7210_init.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/ines] Error 2
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/cb7210] Error 2
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/.agilent_82350b_write.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"agilent_82350b_write"' -DKBUILD_MODNAME='"agilent_82350b"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_write.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_write.c
cc1: some warnings being treated as errors
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/.agilent_82350b_read.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"agilent_82350b_read"' -DKBUILD_MODNAME='"agilent_82350b"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_read.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_read.c
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_init.o] Error 1
make[6]: *** Waiting for unfinished jobs....
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/.hp_82341_write.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"hp_82341_write"' -DKBUILD_MODNAME='"hp_82341"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_write.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_write.c
gcc -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0 -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include -I/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/include -Wp,-MD,/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/.agilent_82350b_interrupt.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-linux-gnu/7/include -I./arch/x86/include -I./arch/x86/include/generated -I./include -I./arch/x86/include/uapi -I./arch/x86/include/generated/uapi -I./include/uapi -I./include/generated/uapi -include ./include/linux/kconfig.h -Iubuntu/include -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -fshort-wchar -Werror-implicit-function-declaration -Wno-format-security -std=gnu89 -fno-PIE -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -falign-jumps=1 -falign-loops=1 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -funit-at-a-time -DCONFIG_X86_X32_ABI -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -DCONFIG_AS_CFI_SECTIONS=1 -DCONFIG_AS_FXSAVEQ=1 -DCONFIG_AS_SSSE3=1 -DCONFIG_AS_CRC32=1 -DCONFIG_AS_AVX=1 -DCONFIG_AS_AVX2=1 -DCONFIG_AS_AVX512=1 -DCONFIG_AS_SHA1_NI=1 -DCONFIG_AS_SHA256_NI=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mindirect-branch=thunk-extern -mindirect-branch-register -DRETPOLINE -fno-delete-null-pointer-checks -Wno-frame-address -Wno-format-truncation -Wno-format-overflow -Wno-int-in-bool-context -O2 --param=allow-store-data-races=0 -DCC_HAVE_ASM_GOTO -Wframe-larger-than=1024 -fstack-protector-strong -Wno-unused-but-set-variable -Wno-unused-const-variable -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-var-tracking-assignments -pg -mfentry -DCC_USING_FENTRY -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-merge-all-constants -fmerge-constants -fno-stack-check -fconserve-stack -Werror=implicit-int -Werror=strict-prototypes -Werror=date-time -Werror=incompatible-pointer-types -Werror=designated-init -DMODULE -DKBUILD_BASENAME='"agilent_82350b_interrupt"' -DKBUILD_MODNAME='"agilent_82350b"' -c -o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_interrupt.o /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_interrupt.c
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_init.o] Error 1
make[6]: *** Waiting for unfinished jobs....
(cat /dev/null; echo kernel//home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.ko;) > /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/modules.order
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.c:42:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/tms9914.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_read.c:18:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335_init.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335/hp82335_init.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82335] Error 2
cc1: some warnings being treated as errors
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_read.c:18:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/tms9914.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_write.c:18:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_read.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_read.o] Error 1
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_write.c:18:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_read.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_read.o] Error 1
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_write.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_write.o] Error 1
In file included from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpibP.h:24:0,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b.h:21,
from /home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_interrupt.c:19:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h: In function \u2018init_gpib_pseudo_irq\u2019:
/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/include/gpib_types.h:166:2: error: implicit declaration of function \u2018init_timer\u2019; did you mean \u2018init_timers\u2019? [-Werror=implicit-function-declaration]
init_timer(&pseudo_irq->timer);
^~~~~~~~~~
init_timers
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_write.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341/hp_82341_write.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/hp_82341] Error 2
cc1: some warnings being treated as errors
scripts/Makefile.build:339: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib/lpvo_usb_gpib.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/lpvo_usb_gpib] Error 2
cc1: some warnings being treated as errors
scripts/Makefile.build:332: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_interrupt.o' failed
make[6]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b/agilent_82350b_interrupt.o] Error 1
scripts/Makefile.build:606: recipe for target '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b' failed
make[5]: *** [/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib/agilent_82350b] Error 2
Makefile:1552: recipe for target 'module/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib' failed
make[4]: *** [module/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers/gpib] Error 2
make[4]: Leaving directory '/usr/src/linux-headers-4.15.0-34-generic'
Makefile:678: recipe for target 'all-local' failed
make[3]: [all-local] Error 2 (ignored)
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/drivers'
Making all in doc
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/doc'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/doc'
Making all in language
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language'
Making all in python
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/python'
{ /usr/bin/python setup.py build && touch build; } || { rm -f -r build; exit 1; }
running build
running build_py
creating build
creating build/lib.linux-x86_64-2.7
copying Gpib.py -> build/lib.linux-x86_64-2.7
running build_ext
building 'gpib' extension
creating build/temp.linux-x86_64-2.7
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-nbjU53/python2.7-2.7.15~rc1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I../../include -I/usr/include/python2.7 -c gpibinter.c -o build/temp.linux-x86_64-2.7/gpibinter.o
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-nbjU53/python2.7-2.7.15~rc1=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-nbjU53/python2.7-2.7.15~rc1=. -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/gpibinter.o -L../../lib/.libs -lgpib -lpthread -o build/lib.linux-x86_64-2.7/gpib.so
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/python'
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language'
(cd perl && /usr/bin/perl Makefile.PL)
Checking if your kit is complete...
Looks good
Warning: -L../../lib/.libs changed to -L/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl/../../lib/.libs
Generating a Unix-style Makefile
Writing Makefile for LinuxGpib
Writing MYMETA.yml and MYMETA.json
make -C perl all
make[4]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl'
Running Mkbootstrap for LinuxGpib ()
"/usr/bin/perl" "/usr/share/perl/5.26/ExtUtils/xsubpp" -typemap '/usr/share/perl/5.26/ExtUtils/typemap' -typemap '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl/typemap' LinuxGpib.xs > LinuxGpib.xsc
chmod 644 "LinuxGpib.bs"
"/usr/bin/perl" -MExtUtils::Command::MM -e 'cp_nonempty' -- LinuxGpib.bs blib/arch/auto/LinuxGpib/LinuxGpib.bs 644
cp LinuxGpib.pm blib/lib/LinuxGpib.pm
AutoSplitting blib/lib/LinuxGpib.pm (blib/lib/auto/LinuxGpib)
mv LinuxGpib.xsc LinuxGpib.c
x86_64-linux-gnu-gcc -c -I../../include -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fwrapv -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"0.01\" -DXS_VERSION=\"0.01\" -fPIC "-I/usr/lib/x86_64-linux-gnu/perl/5.26/CORE" LinuxGpib.c
rm -f blib/arch/auto/LinuxGpib/LinuxGpib.so
LD_RUN_PATH="/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl/../../lib/.libs" x86_64-linux-gnu-gcc -shared -L/usr/local/lib -fstack-protector-strong LinuxGpib.o -o blib/arch/auto/LinuxGpib/LinuxGpib.so \
-L/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl/../../lib/.libs -lgpib -lpthread \

chmod 755 blib/arch/auto/LinuxGpib/LinuxGpib.so
Manifying 1 pod document
make[4]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language/perl'
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/language'
Making all in usb
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb'
Making all in agilent_82357a
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb/agilent_82357a'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb/agilent_82357a'
Making all in ni_usb_gpib
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb/ni_usb_gpib'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb/ni_usb_gpib'
make[3]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0/usb'
make[2]: Entering directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0'
make[2]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0'
make[1]: Leaving directory '/home/trthornton/Downloads/GPIB_Support/linux-gpib-4.1.0'
trthornton@ASUS2-KUbuntu:~/Downloads/GPIB_Support/linux-gpib-4.1.0$

Discussion

  • Philip Pemberton

    This is down to the GPIB driver using an old kernel API which was deprecated in 4.15.0. I've opened bug #67 for this.

     
  • DaveP

    DaveP - 2018-12-19
    • status: open --> closed
     

Log in to post a comment.